Bug 1314930 - Update OSP8's glance_store to 0.13
Update OSP8's glance_store to 0.13
Status: CLOSED NEXTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-glance-store (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 9.0 (Mitaka)
Assigned To: Flavio Percoco
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 18:08 EST by Flavio Percoco
Modified: 2016-04-26 11:28 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 13:48:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flavio Percoco 2016-03-04 18:08:00 EST
We're currently using 0.9.0 for glance-store in OSP8. While this is aligned with the upstream releases, I believe we could update OSP8 to glance_store 0.13.

The update would bring a couple of interesting changes in:

- Cinder backend
- http store will use python-requests w/ support for TLS
- vmware store will uses python-requests w/ support for TLS 
- Swift store will support trust requests and service tokens.

The last point is perhaps what need better testing. I've tested this upstream and the results in the gate are good as in all jobs passed (except for the one matching the requirements file)

https://review.openstack.org/#/c/288701/

I'd like to use this BZ to discuss how feasible this is.

Note You need to log in before you can comment on or make changes to this bug.